I have been forced to use Chrome V19 since this is the last working version browser that didn't have SSE2 coding. I have 2 systems both of which have no support for SSE2 but want to go back to old faithful Firefox. IMO chrome uses far too much ram in comparison. I know this could be argued but in my 512mb laptop ubuntu 12.04 just manages to get by until I start using chrome. Switching back to Firefox is a lot smoother.

This problem has been documented https://bugs.gentoo.org/show_bug.cgi?id=410547 and https://bugbase.adobe.com/index.cfm?...bug&id=3161034 can anyone advise how I would find the last Adobe Flash plugin not to require SSE2 and install it instead of the latest version? or possibly ripping another version from some other browser and use that. Currently the one I use with chrome seems to work ok. I appreciate there are security issues involved.